= How do I manage my repositories with !GitBlit? =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

[http://gitblit.com/index.html Gitblit] is an open-source, pure Java stack for managing, viewing, and serving Git repositories.
It's designed primarily as a tool for small workgroups who want to host centralized repositories.

SecureCI™ came pre-installed with !GitBlit Go; an integrated, single-stack solution based on Jetty.
 * Gitblit can be used as a dumb repository viewer with no administrative controls or user accounts.
 * Gitblit can be used as a complete Git stack for cloning, pushing, and repository access control.
 * Gitblit can be used without any other Git tooling (including actual Git) or it can cooperate with your established tools.

!GitBlit and Git are tied into the same user database as Trac and Subversion.

== Administration ==
Repositories can be created, edited, renamed, and deleted through the web UI.
They may also be created, edited, and deleted from the command-line using real Git or your favorite file manager and text editor.

By default, all authenticated users have admin access. To restrict admin access, the variable `web.authenticateAdminPages` 
needs to be set to `true`. This however will leave users without any administrators. After first logging in, the user.conf file
in `<%= node['gitblit']['data_link'] %>` will be populated with that new user. To give this user admin access, add the line
`role = "#admin"` under the desired user.

All repository settings are stored within the repository .git/config file under the gitblit section.

{{{
[gitblit]
    description = master repository
    owner = james
    useTickets = false
    useDocs = true
    showRemoteBranches = false
    accessRestriction = clone
    isFrozen = false
    showReadme = false
    federationStrategy = FEDERATE_THIS
    isFederated = false
    skipSizeCalculation = false
    federationSets = 
}}}

For more information checkout [http://gitblit.com/administration.html administration on gitblit.com]

== Egitblit ==
There is an Eclipse plugin, Egitblit, provided by the Baloise Group.

Features include:
 * Filtering repositories
 * Support for multiple Gitblit servers
 * Copying git repo urls to the clipboard
 * or via drag&drop to any drag&drop enabled target as text (or as type URL)
 * Integration with the EGit Clone Wizard
 * Opening the Gitblit summary page of the selected repository

=== Installation ===
You can install it from the Eclipse Marketplace.

=== Source Code & Issue Tracker ===
The source and issue tracker for Egitblit are hosted on [https://github.com/baloise/egitblit Github].

<%= node['trac']['wiki']['footer'] %>